#include <bits/stdc++.h>
using namespace std;
#define rep(i, a, b) for(int i = a; i < (b); ++i)
#define all(x) begin(x), end(x)
#define sz(x) (int)(x).size()
typedef long long ll;
typedef pair<int, int> pii;
typedef vector<int> vi;

#define LIMIT 10000000

constexpr int LIM = 1e7;
bitset<LIM> isPrime;
vi eratosthenes() {
	constexpr int S = 3162, R = LIM / 2;
	vi pr = {2}, sieve(S+1); pr.reserve(int(LIM/log(LIM)*1.1));
	vector<pii> cp;
	for (int i = 3; i <= S; i += 2) if (!sieve[i]) {
		cp.push_back({i, i * i / 2});
		for (int j = i * i; j <= S; j += 2 * i) sieve[j] = 1;
	}
	for (int L = 1; L <= R; L += S) {
		array<bool, S> block{};
		for (auto &[p, idx] : cp)
		for (int i=idx; i < S+L; idx = (i+=p)) block[i-L] = 1;
		rep(i,0,min(S, R - L))
		if (!block[i]) pr.push_back((L + i) * 2 + 1);
	}
	for (int i : pr) isPrime[i] = 1;
	return pr;
}

int main() {
	cin.tie(0)->sync_with_stdio(0);
	cin.exceptions(cin.failbit);

	vi primes = eratosthenes();

	vi prime_count(10000001);
	prime_count[0] = 0;
	rep(i, 1, 10000001) {
		prime_count[i] = prime_count[i - 1];
		if(isPrime[i]) prime_count[i]++;
	}

	int T; cin >> T;
	while(T--) {
		int n; cin >> n;

		ll ans = 0;
		for(int prime : primes) {
			ans = ans + (n / prime);
		}

		cout << ans << '\n';
	}
}
